﻿define(["knockout"], function (ko) {
    var root = (typeof window === "object" && window) || this;
    root.ko = ko;

    return function App(value) {
        this.value = ko.observable(value);

        this.setValue = ko.computed({
            read: this.value,
            write: function (value) {
                if (!isNaN(value))
                    this.value(parseFloat(value)); // Write to underlying storage
            },
            owner: this
        });
        this.disabled = ko.observable(false);
    };
});