﻿require.config({
    paths: {
        "jquery": "jquery",
        "knockout": "knockout",
        "jqx-all": "jqx-all"
    },
    shim: {
        "jqx-all": {
            export: "$",
            deps: ["jquery", "knockout", "app"]
        }
    }
});

require(["jquery", "knockout", "app", "jqx-all"], function ($, ko, App) {
    $("#document").ready(function () {
        ko.applyBindings(new App(33));
    });
});